Subject: [PATCH 1/2] arm64: Blacklist non-kprobe-able symbols

From: [email-masked] (Will Deacon)
Date: Mon, 6 Jul 2015 10:03:24 +0100

On Mon, Jul 06, 2015 at 06:03:21AM +0100, Pratyush Anand wrote:
> Add all function symbols which are called from do_debug_exception under
> NOKPROBE_SYMBOL, as they can not kprobed.

It's a shame this has to be so manual, but I suppose it's done on a
best-effort basis to catch broken probe placement.

If we miss a function and somebody probes it, do we just get stuck in a
recursive exception, or could we print something suggesting that a symbol
be annotated as NOKPROBE?

Will